--- Makefile.orig	2010-01-18 16:06:14.309966144 +0100
+++ Makefile	2010-01-18 16:13:22.777964886 +0100
@@ -1,12 +1,12 @@
-CXXFLAGS=-Wall -Wextra -pedantic -g
+CXXFLAGS=-Wall -Wextra -pedantic
 CXX=g++
 BIN=${DESTDIR}/usr/bin
 
 # For 'make man': sudo apt-get install xsltproc docbook-xsl docbook-xml
-DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
+DB2MAN=/usr/share/xsl/docbook/manpages/docbook.xsl
 XP=xsltproc -''-nonet -''-param man.charmap.use.subset "0"
 MAN_SOURCE=man/cppcheck.1.xml
-
+MANDIR=$(DESTDIR)/usr/share/man
 
 ###### Object Files
 
@@ -82,12 +82,14 @@ tools/dmake:	tools/dmake.cpp	lib/filelis
 clean:
 	rm -f lib/*.o cli/*.o test/*.o testrunner cppcheck tools/dmake
 
-man:	$(MAN_SOURCE)
-	$(XP) $(DB2MAN) $(MAN_SOURCE)
+cppcheck.1:	$(MAN_SOURCE)
+	$(XP) $(DB2MAN) $<
 
 install:	cppcheck
 	install -d ${BIN}
-	install cppcheck ${BIN}
+	install -m755 cppcheck ${BIN}
+	install -d $(MANDIR)/man1
+	install -m644 cppcheck.1 $(MANDIR)/man1
 
 
 ###### Build
